import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import router from './router';
import Vant from 'vant';
import VConsole from 'vconsole'
// 2. 引入组件样式
import 'vant/lib/index.css';

const app = createApp(App);

// 初始化 VConsole
const vConsole = new VConsole()

// 将封装后的 Vue Router 注入应用
app.use(router);

app.use(Vant);

app.mount('#app');
